from django.contrib import admin
from .models import BotSettings, Message

@admin.register(BotSettings)
class BotSettingsAdmin(admin.ModelAdmin):
    list_display = ('id', 'is_active', 'system_prompt')

@admin.register(Message)
class MessageAdmin(admin.ModelAdmin):
    list_display = ('sender_number', 'message_in', 'message_out', 'timestamp')
    list_filter = ('timestamp', 'sender_number')